
<div class="container">
   <span>
      Upload your CSV file
   </span>
   <div class="file-uploader">
      <div class="uploader" (click)="file.click()" #uploader>
         <p>
            <a>Click to search for</a>&nbsp;a file or drop it here.
            <input type="file" (change)="readFile($event.target.files)" #file />
         </p>
      </div>
      <div class="uploaded-file" (click)="removeFile()" #uploadResult>
         <p>
            {{ fileName }}
         </p>
      </div>
   </div>
   <div *ngIf="lines" class="variables-container">
      <span>
         Variables availables
      </span>
      <div class="variables">
         <button *ngFor="let column of columns" (click)="addVariable(column)">
            {{ column }}
         </button>
      </div>

      <div class="script">
         <div class="header">
            Type your awesome script
         </div>
         <ace-editor
                  [(text)]="sqlText"
                  [mode]="'sql'"
                  [options]="options"
                  [readOnly]="false"
                  [autoUpdateContent]="true"
                  [durationBeforeCallback]="1000"
                  style="min-height: 100px; overflow: auto;"
                  #sqlEditor></ace-editor>
         <div class="footer">
            <button (click)="generateScript()">
               Generate script
            </button>
         </div>
      </div>

      

      <div class="script">
         <div class="header">
            Formatted script result
         </div>
         <div class="printed-script">
            <ace-editor
                  [(text)]="generatedSQL"
                  [mode]="'sql'"
                  [theme]="'eclipse'"
                  [options]="options"
                  [readOnly]="true"
                  [autoUpdateContent]="true"
                  [durationBeforeCallback]="1000"
                  style="min-height: 100px; overflow: visible;"
                  #formattedSQL></ace-editor>
         </div>
         <div class="footer">
            <button (click)="copyText()">
               Copy
            </button>
         </div>
      </div>
   </div>
</div>